VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Variables
VSTGUI::BitmapFilter::Standard::Property Namespace Reference

Standard Bitmap Property Names. More...

## Variables
static const IdStringPtr | kInputBitmap = "InputBitmap"
| [Property::kObject - CBitmap]
static const IdStringPtr | kOutputBitmap = "OutputBitmap"
| [Property::kObject - CBitmap]
static const IdStringPtr | kRadius = "Radius"
| [Property::kInteger]
static const IdStringPtr | kInputColor = "InputColor"
| [Property::kColor]
static const IdStringPtr | kOutputColor = "OutputColor"
| [Property::kColor]
static const IdStringPtr | kOutputRect = "OutputRect"
| [Property::kRect]
static const IdStringPtr | kIgnoreAlphaColorValue = "IgnoreAlphaColorValue"
| [Property::kInteger]
static const IdStringPtr | kAlphaChannelOnly = "AlphaChannelOnly"
| [Property::kInteger]

## Detailed Description

Standard Bitmap Property Names.

## Variable Documentation

## ◆ kAlphaChannelOnly

const IdStringPtr kAlphaChannelOnly = "AlphaChannelOnly"
| static

[Property::kInteger]

## ◆ kIgnoreAlphaColorValue

const IdStringPtr kIgnoreAlphaColorValue = "IgnoreAlphaColorValue"
| static

[Property::kInteger]

## ◆ kInputBitmap

const IdStringPtr kInputBitmap = "InputBitmap"
| static

[Property::kObject - CBitmap]

## ◆ kInputColor

const IdStringPtr kInputColor = "InputColor"
| static

[Property::kColor]

## ◆ kOutputBitmap

const IdStringPtr kOutputBitmap = "OutputBitmap"
| static

[Property::kObject - CBitmap]

## ◆ kOutputColor

const IdStringPtr kOutputColor = "OutputColor"
| static

[Property::kColor]

## ◆ kOutputRect

const IdStringPtr kOutputRect = "OutputRect"
| static

[Property::kRect]

## ◆ kRadius

const IdStringPtr kRadius = "Radius"
| static

[Property::kInteger]